/*
 *  libMirage: CCD image parser: Plugin exports
 *  Copyright (C) 2006-2007 Rok Mandeljc
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include "image-ccd.h"


static GObject *__image_ccd_create_disc () {
    return g_object_new(MIRAGE_TYPE_DISC_CCD, NULL);
}

static gboolean __image_ccd_can_handle_image (gchar *filename) {
    /* Does file exist */
    if (!g_file_test(filename, G_FILE_TEST_IS_REGULAR)) {
        return FALSE;
    }
    
    /* Check the suffixes we support... */
    return mirage_helper_match_suffixes(filename, mirage_plugin_info.suffixes);
}

MIRAGE_PluginInfo_Parser mirage_plugin_info = {
    .plugin_info = {
        .type = MIRAGE_PLUGIN_PARSER,
        .name = "CCD Image Parser",
        .version = "1.0.0",
        .author = "Rok Mandeljc",
    },
    
    .image_id = "IMAGE-CCD",
    
    .suffixes = { ".ccd", NULL },
    .description = "CCD (CloneCD) images",
    
    .create_disc = __image_ccd_create_disc,
    .can_handle_image = __image_ccd_can_handle_image,
};
